- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cp_mgmt_put_file – put file on Check Point over Web Services API

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- put file on Check Point over Web Services API
- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
comments string |  | Comments string.
file_content string |  | N/A
file_name string |  | N/A
file_path string |  | N/A
targets list |  | On what targets to execute this command. Targets may be identified by their name, or object unique identifier.
version string |  | Version of checkpoint. If not given one, the latest version taken.
wait_for_task boolean | Choices: no yes ← | Wait for the task to end. Such as publish task.

## Examples

    - name: put-file
      cp_mgmt_put_file:
        file_content: 'vs ip 192.0.2.1
    vs2 ip 192.0.2.2'
        file_name: vsx_conf
        file_path: /home/admin/
        targets:
        - corporate-gateway

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_put_file dictionary | always. | The checkpoint put-file output.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.